org.apache.hadoop.hdfs.web.resources

## Class PermissionParam

- java.lang.Object
- - org.apache.hadoop.hdfs.web.resources.Param<Short,org.apache.hadoop.hdfs.web.resources.ShortParam.Domain>
  - - org.apache.hadoop.hdfs.web.resources.PermissionParam

- Direct Known Subclasses:
    UnmaskedPermissionParam

      public class PermissionParam
      extends Param<Short,org.apache.hadoop.hdfs.web.resources.ShortParam.Domain>

  Permission parameter, use a Short to represent a FsPermission.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT` Default parameter value.
    `static String` | `NAME` Parameter name.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionParam(org.apache.hadoop.fs.permission.FsPermission value)` Constructor.
    `PermissionParam(String str)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.hadoop.fs.permission.FsPermission` | `getDefaultDirFsPermission()`
    `static org.apache.hadoop.fs.permission.FsPermission` | `getDefaultFileFsPermission()`
    `static org.apache.hadoop.fs.permission.FsPermission` | `getDefaultSymLinkFsPermission()`
    `org.apache.hadoop.fs.permission.FsPermission` | `getDirFsPermission()`
    `org.apache.hadoop.fs.permission.FsPermission` | `getFileFsPermission()`
    `String` | `getName()`
    `String` | `getValueString()`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.hdfs.web.resources.Param

      `getValue, toSortedString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      Parameter name.
      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final String DEFAULT

      Default parameter value.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PermissionParam

          public PermissionParam(org.apache.hadoop.fs.permission.FsPermission value)

      Constructor.
      Parameters:
        `value` - the parameter value.

    - #### PermissionParam

          public PermissionParam(String str)

      Constructor.
      Parameters:
        `str` - a string representation of the parameter value.

  - ### Method Detail

    - #### getDefaultDirFsPermission

          public static org.apache.hadoop.fs.permission.FsPermission getDefaultDirFsPermission()

      Returns:
        the default FsPermission for directory.

    - #### getDefaultFileFsPermission

          public static org.apache.hadoop.fs.permission.FsPermission getDefaultFileFsPermission()

      Returns:
        the default FsPermission for file.

    - #### getDefaultSymLinkFsPermission

          public static org.apache.hadoop.fs.permission.FsPermission getDefaultSymLinkFsPermission()

      Returns:
        the default FsPermission for symlink.

    - #### getName

          public String getName()

      Specified by:
        `getName` in class `Param<Short,org.apache.hadoop.hdfs.web.resources.ShortParam.Domain>`
      Returns:
        the parameter name.

    - #### getFileFsPermission

          public org.apache.hadoop.fs.permission.FsPermission getFileFsPermission()

      Returns:
        the represented FsPermission.

    - #### getDirFsPermission

          public org.apache.hadoop.fs.permission.FsPermission getDirFsPermission()

      Returns:
        the represented FsPermission.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Param<Short,org.apache.hadoop.hdfs.web.resources.ShortParam.Domain>`

    - #### getValueString

          public final String getValueString()

      Specified by:
        `getValueString` in class `Param<Short,org.apache.hadoop.hdfs.web.resources.ShortParam.Domain>`
      Returns:
        the parameter value as a string

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.